﻿CREATE VIEW report_v AS
SELECT 
	view_time::DATE AS view_date,page,method,COUNT(*) AS total,AVG(load_time) AS load_time
FROM
	page_views
	LEFT JOIN methods ON (page_views.method_index=methods.method_index)
GROUP BY
	page,view_time::DATE,method,methods.method_index
