﻿--DROP TABLE report_mv;

SELECT 
	view_time::DATE AS view_date,
	page,
	method_index,
	COUNT(*) AS total,
	AVG(load_time) AS load_time
INTO
	report_mv
FROM
	page_views
GROUP BY
	view_time::DATE,
	page,
	method_index;

ALTER TABLE report_mv ADD CONSTRAINT report_mv_pkey PRIMARY KEY(view_date, page, method_index);

	